### Method

# GdkPixbuf Pixbuf composite_color

#### Declaration [src]

    void
    gdk_pixbuf_composite_color (
      const GdkPixbuf* src,
      GdkPixbuf* dest,
      int dest_x,
      int dest_y,
      int dest_width,
      int dest_height,
      double offset_x,
      double offset_y,
      double scale_x,
      double scale_y,
      GdkInterpType interp_type,
      int overall_alpha,
      int check_x,
      int check_y,
      int check_size,
      guint32 color1,
      guint32 color2
    )

#### Description [src]

Creates a transformation of the source image `src` by scaling by `scale_x` and `scale_y` then translating by `offset_x` and `offset_y`, then alpha blends the rectangle (`dest_x` ,`dest_y`, `dest_width`, `dest_height`) of the resulting image with a checkboard of the colors `color1` and `color2` and renders it onto the destination image.

If the source image has no alpha channel, and `overall_alpha` is 255, a fast path is used which omits the alpha blending and just performs the scaling.

See `gdk_pixbuf_composite_color_simple()` for a simpler variant of this function suitable for many tasks.

#### Parameters

`dest`

  Type: `GdkPixbuf`

  The `GdkPixbuf` into which to render the results.

  The data is owned by the caller of the method.

`dest_x`

  Type: `int`

  The left coordinate for region to render.

`dest_y`

  Type: `int`

  The top coordinate for region to render.

`dest_width`

  Type: `int`

  The width of the region to render.

`dest_height`

  Type: `int`

  The height of the region to render.

`offset_x`

  Type: `double`

  The offset in the X direction (currently rounded to an integer).

`offset_y`

  Type: `double`

  The offset in the Y direction (currently rounded to an integer).

`scale_x`

  Type: `double`

  The scale factor in the X direction.

`scale_y`

  Type: `double`

  The scale factor in the Y direction.

`interp_type`

  Type: `GdkInterpType`

  The interpolation type for the transformation.

`overall_alpha`

  Type: `int`

  Overall alpha for source image (0..255).

`check_x`

  Type: `int`

  The X offset for the checkboard (origin of checkboard is at -`check_x`, -`check_y`).

`check_y`

  Type: `int`

  The Y offset for the checkboard.

`check_size`

  Type: `int`

  The size of checks in the checkboard (must be a power of two).

`color1`

  Type: `guint32`

  The color of check at upper left.

`color2`

  Type: `guint32`

  The color of the other check.